Loading...
Searching...
No Matches
ISMRMRD::ISMRMRD_WaveformHeader Struct Reference
Inheritance diagram for ISMRMRD::ISMRMRD_WaveformHeader:

## Public Attributes

uint16_t | version
uint16_t | pad1
uint32_t | pad2
uint64_t | flags
uint32_t | measurement_uid
uint32_t | scan_counter
uint32_t | time_stamp
uint16_t | number_of_samples
uint16_t | channels
float | sample_time_us
uint16_t | waveform_id

## Member Data Documentation

## channels

uint16_t ISMRMRD::ISMRMRD_WaveformHeader::channels

Available channels

## flags

uint64_t ISMRMRD::ISMRMRD_WaveformHeader::flags

bit field with flags

## measurement_uid

uint32_t ISMRMRD::ISMRMRD_WaveformHeader::measurement_uid

Unique ID for the measurement

## number_of_samples

uint16_t ISMRMRD::ISMRMRD_WaveformHeader::number_of_samples

Number of samples acquired

## pad2

uint32_t ISMRMRD::ISMRMRD_WaveformHeader::pad2

First unsigned int indicates the version

## sample_time_us

float ISMRMRD::ISMRMRD_WaveformHeader::sample_time_us

Time between samples in micro seconds

## scan_counter

uint32_t ISMRMRD::ISMRMRD_WaveformHeader::scan_counter

Number of the acquisition after this waveform

## time_stamp

uint32_t ISMRMRD::ISMRMRD_WaveformHeader::time_stamp

Time stamp of the waveform

## waveform_id

uint16_t ISMRMRD::ISMRMRD_WaveformHeader::waveform_id

Id matching the types specified in the xml header

The documentation for this struct was generated from the following file:

- waveform.h